Package com.macrofocus.high_d.controlchart

# Interface ControlChart<Component,Color,Font,Row,Column>

All Known Implementing Classes:
  `AbstractControlChart`, `SwingControlChart`

public interface ControlChart<Component,Color,Font,Row,Column>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScatterPlotController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `ControlChartScatterPlotModel`
  `getModel()`
  Returns the model used by the scatter plot component.
  `Component`
  `getNativeComponent()`
  `ScatterPlotView<Component,Color,Font,Row,Column>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `void`
  `setController(ScatterPlotController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `void`
  `setModel(ControlChartScatterPlotModel<Color,Row,Column> model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(ScatterPlotView<Component,Color,Font,Row,Column> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

- ## Method Details

  - ### getModel

    ControlChartScatterPlotModel getModel()
    Returns the model used by the scatter plot component.
    Returns:
      the model in use

  - ### setModel

    void setModel(ControlChartScatterPlotModel<Color,Row,Column> model)
    Sets the model to be used for the scatter plot component and register it to the view.
    Parameters:
      `model` - the model to be used

  - ### getView

    ScatterPlotView<Component,Color,Font,Row,Column> getView()
    Returns the view used by the parallel coordinates component.
    Returns:
      the view in use

  - ### setView

    void setView(ScatterPlotView<Component,Color,Font,Row,Column> view)
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Parameters:
      `view` - the view to be used

  - ### getController

    ScatterPlotController getController()
    Returns the controller used by the parallel coordinates component.
    Returns:
      the controller in use

  - ### setController

    void setController(ScatterPlotController controller)
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Parameters:
      `controller` - the controller in use

  - ### getNativeComponent

    Component getNativeComponent()